Bug 638906 - Review Request: erlang-gen_leader - A leader election behavior modeled after gen_server
Review Request: erlang-gen_leader - A leader election behavior modeled after ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathaniel McCallum
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 638909
  Show dependency treegraph
 
Reported: 2010-09-30 06:43 EDT by Peter Lemenkov
Modified: 2010-10-20 12:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-gen_leader-0-0.2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 08:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nathaniel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-09-30 06:43:08 EDT
Spec URL: http://peter.fedorapeople.org/erlang-gen_leader.spec
SRPM URL: http://peter.fedorapeople.org/erlang-gen_leader-0-0.1.fc12.src.rpm
Description: This application implements a leader election behavior modeled after gen_server.
This behavior intends to make it reasonably straightforward to implement a fully
distributed server with master-slave semantics.

This package is one of the requirements for erlang-gproc and etorrent.

Koji scratch build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2503189

rpmlint messages:
1. erlang-gen_leader.ppc: E: no-binary
2. erlang-gen_leader.ppc: W: only-non-binary-in-usr-lib
3. erlang-gen_leader.ppc: W: no-documentation

All these messages should be ignored. The messages №1 and №2 means that I installed noarch application into arch-dependent library - that's exactly like Erlang/OTP is designed - it stores all its libraries under %{_libdir}/erlang/lib no matter of whether package is arch-dependent or not (unlike python). The message №3 means exactly what it means - there is no documentation for this library (yet).
Comment 1 Nathaniel McCallum 2010-10-04 09:55:24 EDT
[  OK  ] specfiles match: 67931592d06373389253e810914e8939
[  OK  ] source files match upstream: 209792fa762bafdfef1c475b2ffb577c
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[ FAIL ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[ FAIL ] rpmlint is silent.
1. erlang-gen_leader.ppc: E: no-binary
2. erlang-gen_leader.ppc: W: only-non-binary-in-usr-lib
3. erlang-gen_leader.ppc: W: no-documentation

#1 and #2 are ok.  #3 could easily be solved by packaging a copy of the license.
[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  ??  ] owns the directories it creates.
What owns /usr/lib64/erlang and /usr/lib64/erlang/lib?  Is this package in the requires?
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  NA  ] desktop files valid and installed properly.

Add the license text as a doc and clarify my understanding of the directories and then we will be good to go.
Comment 2 Peter Lemenkov 2010-10-04 10:23:15 EDT
(In reply to comment #1)

> [  ??  ] owns the directories it creates.
> What owns /usr/lib64/erlang and /usr/lib64/erlang/lib?  Is this package in the
> requires?
...
> Add the license text as a doc and clarify my understanding of the directories
> and then we will be good to go.


* both /usr/lib64/erlang/lib and /usr/lib64/erlang/ are owned by erlang-erts (listed in runtime Requires)
* I'm afraid I can't add license text to %docs because according to guidelines I can (and I must) do it only *if* upstream explicitly adds it to the sources. However I added README file.

I also ensured that beam-file is generated with debug_info (it doesn't hurt runtime performance but allows users to provide some static analysis in runtime).

New package and spec-file:

http://peter.fedorapeople.org/erlang-gen_leader.spec
http://peter.fedorapeople.org/erlang-gen_leader-0-0.2.fc12.src.rpm

rpmlint output is much better now:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-gen_leader-0-0.2.fc12.ppc.rpm 
erlang-gen_leader.ppc: E: no-binary
erlang-gen_leader.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Sulaco ~/rpmbuild/SPECS:
Comment 3 Nathaniel McCallum 2010-10-04 10:38:48 EDT
APPROVED
Comment 4 Peter Lemenkov 2010-10-04 10:43:24 EDT
New Package SCM Request
=======================
Package Name: erlang-gen_leader
Short Description: A leader election behavior modeled after gen_server
Owners: peter
Branches: f12 f13 f14 el6 el5
InitialCC:
Comment 5 Nathaniel McCallum 2010-10-04 14:08:00 EDT
One last note which is certainly not a blocker, the spec lists version as 0, but the file itself has a version of 1.4 in it.  This looks to be a CVS generated version, but nonetheless you may want to consider following upstream's version.
Comment 6 Kevin Fenzi 2010-10-04 15:10:01 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2010-10-05 00:53:58 EDT
erlang-gen_leader-0-0.2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-gen_leader-0-0.2.fc12
Comment 8 Fedora Update System 2010-10-05 00:54:05 EDT
erlang-gen_leader-0-0.2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-gen_leader-0-0.2.fc13
Comment 9 Fedora Update System 2010-10-05 00:54:11 EDT
erlang-gen_leader-0-0.2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-gen_leader-0-0.2.el5
Comment 10 Fedora Update System 2010-10-05 00:54:18 EDT
erlang-gen_leader-0-0.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-gen_leader-0-0.2.fc14
Comment 11 Fedora Update System 2010-10-05 05:29:36 EDT
erlang-gen_leader-0-0.2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-gen_leader'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-gen_leader-0-0.2.fc12
Comment 12 Fedora Update System 2010-10-13 08:50:14 EDT
erlang-gen_leader-0-0.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-10-14 02:22:59 EDT
erlang-gen_leader-0-0.2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-10-14 02:35:14 EDT
erlang-gen_leader-0-0.2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-10-20 12:31:21 EDT
erlang-gen_leader-0-0.2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.